Summary:          Power consumption monitor
Name:             powertop
Version:          2.15
Release:          4%{?dist}
License:          GPLv2
URL:              http://01.org/powertop/
Source0:          http://github.com/fenrus75/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:          powertop.service
Patch3000:        powertop-2.7-always-create-params.patch

BuildRequires:    make automake libtool gcc autoconf-archive gcc-c++
BuildRequires:    gettext-devel ncurses-devel pciutils-devel zlib-devel
BuildRequires:    libnl3-devel systemd
Requires(post):   systemd, coreutils
Requires(preun):  systemd
Requires(postun): systemd
Provides:         bundled(kernel-event-lib)



%description
PowerTOP is a Linux* tool used to diagnose issues with power consumption
and power management. In addition to being a diagnostic tool, PowerTOP also
has an interactive mode you can use to experiment with various power
management settings, for cases where the Linux distribution has not enabled
those settings.



%prep
%autosetup -p1



%build
autoreconf -fi || autoreconf -fi
%configure
%make_build

%install
%make_install

install -Dd %{buildroot}%{_localstatedir}/cache/powertop
touch %{buildroot}%{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop}
%find_lang %{name}

install -Dpm 644 %{SOURCE1} %{buildroot}%{_unitdir}/powertop.service

%preun
%systemd_preun powertop.service

%postun
%systemd_postun_with_restart powertop.service

%post
%systemd_post powertop.service
touch %{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop} &> /dev/null || :

%files -f %{name}.lang
%license COPYING
%doc README.md README.traceevent CONTRIBUTE.md TODO
%{_sbindir}/powertop
%dir %{_localstatedir}/cache/powertop
%ghost %{_localstatedir}/cache/powertop/saved_parameters.powertop
%ghost %{_localstatedir}/cache/powertop/saved_results.powertop
%{_unitdir}/powertop.service
%{_datadir}/bash-completion/completions/powertop
%{_mandir}/man8/powertop.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 cunshunxia <cunshunxia@tencent.com> - 2.15-1
- initial build
